//
//  NielsenInit.swift
//  MultiInstancesApp
//
//  Created by Abdul on 07/03/19.
//  Copyright © 2019 Abdul. All rights reserved.
//

import Foundation
import NielsenAppApi

class NielsenInit : NSObject {
    class func createMainBrandApi(delegate: NielsenAppApiDelegate) -> NielsenAppApi?{
        
        let appInformation:[String: String] = [
            
            "appid": "P9A1570E6-43F5-42BC-BEDE-52C02D3B3933",
            "appname": "Main Master App",
            "appversion": "1.0",
            "sfcode": "dcr",
            "nol_devDebug": "DEBUG"
        ]
        
        return NielsenAppApi(appInfo:appInformation, delegate:delegate)
    }
    
    class func createSubBrandAApi(delegate: NielsenAppApiDelegate) -> NielsenAppApi?{
        
        let appInformation:[String: String] = [
            
            "appid": "PE4A57F64-878D-4D69-8EFB-4E87C27BA7A4",
            "appname": "Sub Brand A App",
            "appversion": "1.0",
            "sfcode": "dcr",
            "nol_devDebug": "DEBUG"
        ]
        
        return NielsenAppApi(appInfo:appInformation, delegate:delegate)
    }
    
    class func createSubBrandBApi(delegate: NielsenAppApiDelegate) -> NielsenAppApi?{
        
        let appInformation:[String: String] = [
            
            "appid": "PDA7D5EE6-B1B8-4123-9277-2A788BC653CA",
            "appname": "Sub Brand B App",
            "appversion": "1.0",
            "sfcode": "dcr",
            "nol_devDebug": "DEBUG"
        ]
        
        return NielsenAppApi(appInfo:appInformation, delegate:delegate)
    }
}
